Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class EnumValueTable

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.rules.sdk.editor.datamodel.ModelComponentTable
oracle.rules.sdk.editor.datamodel.EnumValueTable`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class EnumValueTable
extends ModelComponentTable

Contains a list of enumeration values for the enumeration constraint

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`m_dm, m_mark, m_parent`

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`EnumValue` | `add()` Create a enum value then add it to the enum value table
`EnumValue` | `getEnumValue(int index)` get a enum value by index
`java.lang.Object` | `removeByID(java.lang.String id)` Remove a enumeration value by id.
`EnumValue` | `removeEnumValue(java.lang.String val)` Remove a enum value by its value

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`getParent, mark, removeMarked`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Method Detail

### add

    public EnumValue add()

  Create a enum value then add it to the enum value table
  Returns:
    The newly created enum value.

### getEnumValue

    public EnumValue getEnumValue(int index)

  get a enum value by index
  Parameters:
    `index` - the index of the enum value list
  Returns:
    The enum value in the position

### removeEnumValue

    public EnumValue removeEnumValue(java.lang.String val)

  Remove a enum value by its value
  Parameters:
    `val` - value of the EnumValue to be removed
  Returns:
    The EnumValue being removed. Null if no EnumValue is removed.

### removeByID

    public java.lang.Object removeByID(java.lang.String id)
                                throws DeleteException

  Remove a enumeration value by id. If the given id does not match any enumeration value, then no enumeration value is removed.
  Specified by:
    `removeByID` in class `ModelComponentTable`
  Parameters:
    `id` - the id of the enumeration value to be removed
  Returns:
    The enumeration value being removed. Null if no enumeration value is removed.
  Throws:
    `DeleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.